# vim: set ts=4 sw=4 et:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           xjobs
Version:        20120412
Release:        1.2
Summary:        Load Limiter For Executing Multiple Jobs In Parallel
Source:         http://www.maier-komor.de/xjobs/xjobs-%{version}.tgz
Patch2:         xjobs-fix_warnings.patch
URL:            http://www.maier-komor.de/xjobs.html
Group:          Productivity/Clustering/Computing
License:        GPL-2.0+
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  make gcc glibc-devel flex

%description
xjobs runs several jobs in parallel and limits the number of jobs running at
once so that every processor of the machine is busy, but not overloaded. A
batch of long-running processes invoked from the shell are normally executed
one after another, no matter how many processors are available. xjobs allows
batching those jobs while still keeping the machine busy. The interface of
xjobs is similar to that of xargs.

%prep
%setup -q
%patch2
%__chmod 0644 ChangeLog

%build
export CFLAGS="-D_XOPEN_SOURCE=500 %{optflags}"
%configure
%__make %{?_smp_flags}

%install
%makeinstall
%__chmod 644 "%{buildroot}%{_mandir}/man1"/*

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%{_bindir}/xjobs
%doc %{_mandir}/man1/xjobs.1*

%changelog
* Sat Apr 14 2012 pascal.bleser@opensuse.org
- update to 20120412:
  * fix: transient job starting stall on some systems when reading reading
    multiple scripts from a named pipe
* Wed Jul 27 2011 pascal.bleser@opensuse.org
- update to 20110724:
  * fix: resource usage report may be omitted in some cases
  * fix: some time formatting looked weird
- moved from System:Base to utilities
* Thu Sep 16 2010 pascal.bleser@opensuse.org
- update to 20100915:
  * adds the options -0 and -1 to simplify argument parsing based on newline
    and null character termination
* Thu Mar 11 2010 pascal.bleser@opensuse.org
- update to 20100311:
  * adds support for job-specific work directories
* Thu Feb  4 2010 pascal.bleser@opensuse.org
- update to 20100203:
  * fixes a buffer overflow
* Tue Oct 13 2009 pascal.bleser@opensuse.org
- update to 20091012:
  * BSD compatibility update: adds the options -N and -d, and updates the
    option -n to omit redirection of stderr
* Sat Aug 30 2008 guru@unixtech.be
- update to 20080824:
  * enhanced support for named pipes
  * adds an -e option to terminate on job error
  * adds resource usage display
  * reports time in a more readable format
* Tue May 20 2008 guru@unixtech.be
- new upstream version:
  * build process changed to autoconf
  * lint cleanups
  * minor code enhancements.
* Sun Mar 23 2008 guru@unixtech.be
- new upstream version
* Thu Feb 14 2008 guru@unixtech.be
- new upstream version
* Wed Jan 23 2008 guru@unixtech.be
- new upstream version
* Thu Nov 22 2007 guru@unixtech.be
- moved to openSUSE Build Service
- new upstream version
* Mon Oct  9 2006 guru@unixtech.be
- new upstream version
* Tue Aug  8 2006 guru@unixtech.be
- added ChangeLog
- new upstream version
* Mon Jul 31 2006 guru@unixtech.be
- new upstream version
* Thu Jul 27 2006 guru@unixtech.be
- added binary stripping on SUSE < 9.3
- new upstream version
* Fri Jul 21 2006 guru@unixtech.be
- new upstream version
* Thu Apr 13 2006 guru@unixtech.be
- removed Packager and Distribution, set by rpmmacros
- new upstream version
* Tue Apr 11 2006 guru@unixtech.be
- new upstream version
* Sun Apr  9 2006 guru@unixtech.be
- new package
